### Method

# WebKit WebContext set_automation_allowed

#### Declaration [src]

    void
    webkit_web_context_set_automation_allowed (
      WebKitWebContext* context,
      gboolean allowed
    )

#### Description [src]

Set whether automation is allowed in `context`.

When automation is enabled the browser could be controlled by another process by requesting an automation session. When a new automation session is requested the signal `WebKitWebContext::automation-started` is emitted. Automation is disabled by default, so you need to explicitly call this method passing `TRUE` to enable it.

Note that only one `WebKitWebContext` can have automation enabled, so this will do nothing if there’s another `WebKitWebContext` with automation already enabled.

Available since: | 2.18

#### Parameters

`allowed` | `gboolean`
| Value to set.